Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 600742 - Freeciv: Make impossible to access operating system from Lua scripts (security hardening)
Freeciv: Make impossible to access operating system from Lua scripts (securit...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: freeciv (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Janssen
Fedora Extras Quality Assurance
http://gna.org/bugs/?15624
:
Depends On:
Blocks: 600743 600744
  Show dependency treegraph
 
Reported: 2010-06-05 16:46 EDT by Jan Lieskovsky
Modified: 2010-06-23 13:53 EDT (History)
1 user (show)

See Also:
Fixed In Version: freeciv-2.2.0-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 600743 (view as bug list)
Environment:
Last Closed: 2010-06-23 13:39:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-06-05 16:46:57 EDT
Freeciv upstream addressed following bug:
  [1] http://gna.org/bugs/?15624

which should sandbox Lua scripts in Freeciv.

Relevant Freeciv v2.2 revision:
  [2] http://svn.gna.org/viewcvs/freeciv/?rev=17158&view=rev

Please apply this change too, as it is security hardening,
and may prevent occurrence of some potential security issues
in the future.
Comment 1 Fedora Update System 2010-06-06 04:56:33 EDT
freeciv-2.2.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/freeciv-2.2.0-2.fc12
Comment 2 Fedora Update System 2010-06-06 04:56:46 EDT
freeciv-2.2.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/freeciv-2.2.0-2.fc11
Comment 3 Fedora Update System 2010-06-06 04:56:59 EDT
freeciv-2.2.0-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/freeciv-2.2.0-2.fc13
Comment 4 Fedora Update System 2010-06-07 18:08:22 EDT
freeciv-2.2.0-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freeciv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/freeciv-2.2.0-2.fc12
Comment 5 Fedora Update System 2010-06-07 18:26:07 EDT
freeciv-2.2.0-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freeciv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/freeciv-2.2.0-2.fc13
Comment 6 Fedora Update System 2010-06-07 18:27:06 EDT
freeciv-2.2.0-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freeciv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/freeciv-2.2.0-2.fc11
Comment 7 Fedora Update System 2010-06-23 13:39:24 EDT
freeciv-2.2.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-06-23 13:52:04 EDT
freeciv-2.2.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-06-23 13:53:41 EDT
freeciv-2.2.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.